function x = useMser(shapeID, blob)

global blueSquareSigns;
global blueCirkleSigns;
x = false;

for j = 1 : length(blob)
    if shapeID(j) == 1
%         disp('cirkle');
        numFiles = length(blueCirkleSigns);
        a = length(numFiles);
        for k = 1:numFiles
            a(k) = mser(blueCirkleSigns{k}, blob{j});
        end
        [M,I] = max(a);
        if M >= 2
            x = blueCirkleSigns{I};
        end
    elseif shapeID(j) == 2 || shapeID(j) == 3
%         disp('squere');
        numFiles = length(blueSquareSigns);
        a = length(numFiles);
        for k = 1:numFiles
            a(k) = mser(blueSquareSigns{k}, blob{j});
        end
        [M,I] = max(a);
%         disp(a);
        if M >= 2
            x = blueSquareSigns{I};
        end
    end
end